package
{
	import flash.display.DisplayObject;
	import flash.display.Loader;
	import flash.display.MovieClip;
	import flash.events.*;
	import flash.net.*;
	
	public class CUserBtn extends MovieClip
	{		
		var _info:String;
		var _uid:String;
		var _gameMain:CGameMain = null;
		var _monsterCount:Number = 0;
		
		public function CUserBtn()
		{
			super();
			
			this.addEventListener(MouseEvent.MOUSE_UP, onMouseUp);
		}
		
		public function setGameMain(gameMain:CGameMain):void
		{
			_gameMain = gameMain;
		}
		
		public function setInfo(info:String):void
		{
			_info = info;
			InfoText.text = _info;
		}
		
		public function setMonsterCount(monsterCount:Number):void
		{
			_monsterCount = monsterCount;
		}
		
		public function setUID(uid:String):void
		{
			_uid = uid;
			
			var _loader:Loader = new Loader();
			_loader.load(new URLRequest("https://graph.facebook.com/"+uid+"/picture"));  
			var pic:DisplayObject = this.addChild(_loader);		
			
			pic.x = -200;
			pic.y = -23;
		}
		
		private function onMouseUp(event:MouseEvent):void
		{
			if(_gameMain == null) return;
			if(_monsterCount == 0) return;
			
			_gameMain.startUserBattle(_uid);
		}
	}
}