﻿package
{
	import Box2D.Collision.*;
	import Box2D.Dynamics.*;
	import Box2D.Common.Math.*;
	import Box2D.Dynamics.Contacts.*;
	import Box2D.Dynamics.b2ContactListener;

	public class MyContactListener extends b2ContactListener
	{
		override public function BeginContact(contact:b2Contact):void 
		{
			trace("BeginContact");
		}
		
		override public function EndContact(contact:b2Contact):void 
		{
			trace("EndContact");
		}
		
		override public function PreSolve(contact:b2Contact, oldManifold:b2Manifold):void
		{
			trace("PreSolve");
		}
		
		override public function PostSolve(contact:b2Contact, impulse:b2ContactImpulse):void
		{
			var body:b2Body = contact.GetFixtureA().GetBody();
			if(body.GetType() == b2Body.b2_dynamicBody)
			{
				body.SetLinearVelocity(new b2Vec2(0, -5));
			}
			
			body = contact.GetFixtureB().GetBody();
			if(body.GetType() == b2Body.b2_dynamicBody)
			{
				body.SetLinearVelocity(new b2Vec2(0, -5));
			}
			
			trace("PostSolve"); 
		}
	}
}