package
{
	import flash.display.MovieClip;
	import flash.events.*;
	
	public class CLevelBtn extends MovieClip
	{
		var _level:Number = 1;
		var _gameMain:CGameMain = null;
		
		public function CLevelBtn()
		{
			super();
			
			this.addEventListener(MouseEvent.MOUSE_UP, onMouseUp);
		}
		
		public function setGameMain(gameMain:CGameMain)
		{
			_gameMain = gameMain;
		}
		
		public function setLevel(level:Number):void
		{
			_level = level;
			LevelText.text = _level.toString();
		}
		
		private function onMouseUp(event:MouseEvent):void
		{
			if(_gameMain == null) return;
			
			_gameMain.startDungeonBattle(_level);
		}
	}
}